# payment.methods.list

List your own saved payment methods, their currencies and masked destinations, and which is the default. Returns paymentProfileRevision for changing the default.

`GET | POST /api/v1/contractor/payment.methods.list`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_payment_methods_list`

## Fields

This action takes no input fields. Send `{}`.

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/payment.methods.list \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/payment.methods.list
